Bug Hunting Session
Bug 100159 - If OpenGL is used, but a shader fails to compile or link, nothing will show up
Summary: If OpenGL is used, but a shader fails to compile or link, nothing will show up
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.4
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2016-05-31 09:24 UTC by Tor Lillqvist
Modified: 2016-10-25 18:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2016-05-31 09:24:20 UTC
If some of the OpenGL shaders that are used for basic vcl functionality fail to compile (because of bugs in vendor OpenGL software, "driver"), it is too late for LibreOffice to decide not to use OpenGL after all, and the OpenGL-based rendering that would use that shader will just fail.
Comment 1 Commit Notification 2016-05-31 13:39:46 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e971a7192c81c4db84192c6a545dc045aab1a37d

tdf#100159: Use shader preambles as needed, add missing shader combinations

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-05-31 14:22:13 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98f45568239960617a867c9accf5bf8af7db5a40

tdf#100159: Remove (harmless) duplicate call

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-05-31 16:37:48 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=776c124e8797431c8c4eaf6d0550959b05ce69ee&h=libreoffice-5-2

tdf#100159: On Windows, compile GL shaders in advance, disable GL on failure

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-05-31 20:45:36 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f2d826394fcbb3f9cfbcc818d46dc15f32b5028&h=libreoffice-5-1

tdf#100159: On Windows, compile GL shaders in advance, disable GL on failure

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Meeks 2016-06-01 09:16:06 UTC
Thanks Tor; great to get that fixed. I'd love to see the shaders actually used too and checked that they render correctly ;-) but ... later.